/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/
titleHolder = title('Aanbieding',true);
top25 = Ti.UI.createView({
	backgroundImage:'images/top25.png',
	backgroundSelectedImage:'images/top25_selected.png',
	top:scale(5),
	right:scale(5),
	width:scale(107),
	height:scale(35)
});
top25.addEventListener('click',function(){
	Ti.App.fireEvent('changewindow',{i:10});
});
titleHolder.add(top25);
currentWindow.add(titleHolder);


function createStoreList(results){
	currentWindow = currentWindow;
	jsonFeed = results;
    
    var stores = [];
    for(var i in jsonFeed){
    	stores[i] = [i,jsonFeed[i].store.slug,jsonFeed[i].store.name,jsonFeed[i].offers.length,jsonFeed[i].store.id];
    }

	var data = [];
	for(i=0;i<stores.length;i++){
		var row = Ti.UI.createTableViewRow({
			height:scale(65),
			backgroundImage:'images/store_tablecell_background.png',
			backgroundSelectedImage:'images/store_tablecell_background_selected.png'
		});
		row.className = 'store';
		row.store_id = stores[i][0];
		row.store_slug = stores[i][1];
		row.store_name = stores[i][2];
		row.store_aanc = stores[i][3];
		row.store_afb = stores[i][4];
		row.add(Ti.UI.createImageView({
			image:'images/stores/'+stores[i][1]+'.png',
			preventDefaultImage:true,
			height:scale(28),
			width:scale(28),
			left:scale(10)
		}));
		row.add(Ti.UI.createLabel({
			top:scale(12),
			left:scale(55),
			text:stores[i][2],
			color:'#000',
			font:{fontSize:scale(16), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		row.add(Ti.UI.createLabel({
			top:scale(32),
			left:scale(55),
			text:stores[i][3]+' aanbiedingen',
			color:'#555',
			font:{fontSize:scale(11), fontFamily:'Helvetica Neue'}
		}));
		data.push(row);
	}
	var tableView = Ti.UI.createTableView({
		data:data,
	    top:scale(45),
	    bottom:scale(45),
	    separatorColor:'#d6d6d6',
	    backgroundColor:'#d6d6d6',
		filterAttribute:'filter'
	});
	tableView.addEventListener('click',function(e){
		if(data[e.index].store_aanc > 0){
			store_id = data[e.index].store_id;
			store_name = data[e.index].store_name;
			store_slug = data[e.index].store_slug;
			store_afb = data[e.index].store_afb;
			Ti.App.fireEvent('changewindow',{i:8});
		}else{
			msg('Deze winkel heeft momenteel geen aanbiedingen.');
		}
	});
	currentWindow.add(tableView);
}
if(typeof(json_results) != 'undefined'){
	createStoreList(json_results);
}else{
	var loadInd = msg('Gegevens ophalen...',true);
	var json_results = false;
	var jsonRequest = Ti.Network.createHTTPClient(); 
	jsonRequest.open('GET', 'http://api4.aanbdng.info/s_all/json');
	jsonRequest.onerror = function(e) {
		loadInd.close();
		msg("Error: " + e.error);
	};
	jsonRequest.onload = function() {
		currentWindow = currentWindow;
		json_results = JSON.parse(this.responseText);
		createStoreList(json_results);
		loadInd.close();
	};
	jsonRequest.send();
}