/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/

Ti.include('shared.js');
var editable = false;

titleHolder  = title('Lijstje', true);
wijzig = Ti.UI.createView({
	backgroundImage:'images/button_blank.png',
	backgroundSelectedImage:'images/top25_selected.png',
	top:scale(5),
	right:scale(5),
	width:scale(75),
	height:scale(35),
});

wijzig.add(Ti.UI.createLabel({
	text: 'Wijzig',
	color: '#fff',
	font:{fontSize:scale(13), fontFamily:'Helvetica Neue',fontWeight:'bold'}
}));

email = Ti.UI.createView({
	backgroundImage:'images/button_blank.png',
	backgroundSelectedImage:'images/top25_selected.png',
	top:scale(5),
	right:scale(85),
	width:scale(75),
	height:scale(35),
});

email.add(Ti.UI.createLabel({
	text: 'E-mail',
	color: '#fff',
	font:{fontSize:scale(13), fontFamily:'Helvetica Neue',fontWeight:'bold'}
}));

titleHolder.add(wijzig);
titleHolder.add(email);
currentWindow.add(titleHolder);

soort = Ti.UI.createView({
	top: scale(47),
	left: 0,
	right: 0,
	height:scale(65),
	backgroundImage:'images/soort_bg.png',
});

lijstButton = Ti.UI.createButton({
	backgroundColor: '#fafafa',
	backgroundImage:'images/soort_bg.png',
	borderColor: '#a6a6a6',
	borderRadius: 5,
	borderWidth: 1,
	left: scale(5),
	top: scale(15),
	width: scale(150),
	height: scale(35),
	title: 'Mijn lijst',
	color: '#555',
	font:{fontSize:scale(12), fontFamily:'Helvetica Neue'}
});

favButton = Ti.UI.createButton({
	backgroundColor: '#e8e8e8',
	backgroundImage:'images/soort_bg.png',
	borderColor: '#a6a6a6',
	borderRadius: scale(5),
	borderWidth: 1,
	right: scale(5),
	top: scale(15),
	width: scale(150),
	height: scale(35),
	title: 'Favorieten',
	color: '#555',
	font:{fontSize:scale(12), fontFamily:'Helvetica Neue'}
});

lijstButton.addEventListener('touchstart',function(e){
	lijstButton.borderColor = '#6f6f6f';
});
lijstButton.addEventListener('touchend',function(e){
	lijstButton.borderColor = '#a6a6a6';
});

favButton.addEventListener('touchstart',function(e){
	favButton.borderColor = '#6f6f6f';
});
favButton.addEventListener('touchend',function(e){
	favButton.borderColor = '#a6a6a6';
});

favButton.addEventListener('click',function(){
	Ti.App.fireEvent('changewindow',{i:15});
});

soort.add(lijstButton);
soort.add(favButton);
currentWindow.add(soort);

var aanbiedingen = [];
var jeBespaart = 0.00;

function createLijst(results){
	currentWindow = currentWindow;
	row = results;
	
	var count = 0;
	while(row.isValidRow()){
		aanbiedingen[count] = [row.fieldByName('id'),'http://spider.aanbdng.info/images/product/square/'+row.fieldByName('afb')+'.jpg',row.fieldByName('naam'),row.fieldByName('description'),row.fieldByName('voor'),row.fieldByName('van')];
		count++;
		row.next();
	}
	row.close();
	
	var data = [];
	emailInfo = '';
	for(i=0;i<aanbiedingen.length;i++){
		
		if(typeof(aanbiedingen[i][5]) != 'undefined'){
			var row = Ti.UI.createTableViewRow({
				height:scale(65),
				backgroundImage:'images/offer_tablecell_background.png',
				backgroundSelectedImage:'images/offer_tablecell_background_selected.png'
			});
			row.databaseId = aanbiedingen[i][0];
			row.className = 'aanbied';
			row.add(Ti.UI.createLabel({
				bottom:scale(7),
				left:scale(75),
				text:'Normaal:                         Nu:',
				color:'#555',
				font:{fontSize:scale(11), fontFamily:'Helvetica Neue'}
			}));
			row.add(Ti.UI.createLabel({
				bottom:scale(7),
				left:scale(125),
				text:aanbiedingen[i][5],
				color:'#000',
				font:{fontSize:scale(11), fontFamily:'Helvetica Neue', fontWeight:'bold'}
			}));
			row.add(Ti.UI.createLabel({
				bottom:scale(8),
				right:scale(25),
				text:'€ '+aanbiedingen[i][4],
				color:'#fff',
				font:{fontSize:scale(18), fontFamily:'Helvetica Neue', fontWeight:'bold'}
			}));
		}else{
			var row = Ti.UI.createTableViewRow({
				height:scale(65),
				backgroundImage:'images/offer_tablecell__notag_background.png',
				backgroundSelectedImage:'images/offer_tablecell__notag_background_selected.png'
			});
			row.className = 'aanbiednotag';
		}
		row.aanbieding_id = aanbiedingen[i][0];
		row.add(Ti.UI.createImageView({
			image:aanbiedingen[i][1],
			preventDefaultImage:true,
			height:scale(64),
			width:scale(64),
			left:0,
			top:0
		}));
		row.add(Ti.UI.createLabel({
			top:scale(7),
			left:scale(75),
			right:scale(10),
			height:scale(22),
			text:aanbiedingen[i][2],
			ellipsize:true,
			color:'#000',
			font:{fontSize:scale(16), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		emailInfo += '- '+aanbiedingen[i][2]+'\n'+aanbiedingen[i][3]+'\nVan: € '+aanbiedingen[i][5]+' voor: € '+aanbiedingen[i][4]+'\n\n';
		data.push(row);
		productKorting = aanbiedingen[i][5]-aanbiedingen[i][4]; 
		netteKorting = Math.round(productKorting*100)/100;
		jeBespaart = jeBespaart+productKorting;
	}
	
	tableView = Ti.UI.createTableView({
		data:data,
	    top:scale(135),
	    bottom:scale(45),
	    separatorColor:'#d6d6d6',
	    backgroundColor:'#d6d6d6',
		filterAttribute:'filter'
	});
	wijzig.addEventListener('click',function(e){
		msg('Je kunt nu items van je lijst verwijderen door op de rij te klikken.');
		tableView.addEventListener('click',function(e){
			msg('Het product is verwijderd van je lijst');
			var db = getDatabase();
			db.execute("DELETE FROM lijst WHERE id = '"+data[e.index].databaseId+"'");
			var row = db.execute("SELECT id, afb, naam, description, voor, van FROM lijst");
			createLijst(row);
		});
	});
	currentWindow.add(tableView);
}

var db = getDatabase();
var row = db.execute("SELECT id, afb, naam, description, voor, van FROM lijst");
createLijst(row);

voordeel = Ti.UI.createView({
	top: scale(111),
	height: scale(25),
	backgroundColor: '#303030',
	left: 0,
	right: 0,
});

voordeel.add(Ti.UI.createLabel({
	text: 'Je bespaart op deze producten: € '+Math.round(jeBespaart*100)/100,
	color: '#fff',
	top: scale(3),
	left: scale(7),
	font: {fontSize:scale(12), fontFamily:'Helvitica Neue'}
}));

currentWindow.add(voordeel);

email.addEventListener('click',function(){
	messageBody = 'Je Aanbieding lijst:\n\n'+emailInfo+'Je bespaart op deze producten: € '+Math.round(jeBespaart*100)/100+'';
	Ti.App.fireEvent('changewindow',{i:17});
});


