/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/
title('Nieuw in de supermarkt');


function createCategories(results){
	var data = [];
	var categories = [];
	
	for(var i in results){
    	categories[i] = [i,results[i].category.name,results[i].category.updated,results[i].newItems.length];
    }
    
	for(i=0;i<categories.length;i++){
		var row = Ti.UI.createTableViewRow({
			height:scale(65),
			backgroundImage:'images/category_tablecell_background.png',
			backgroundSelectedImage:'images/category_tablecell_background_selected.png'
		});
		row.className = 'newcat';
		row.category_id = categories[i][0];
		row.add(Ti.UI.createLabel({
			top:scale(10),
			left:scale(10),
			text:categories[i][1],
			color:'#000',
			font:{fontSize:scale(20), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		row.add(Ti.UI.createLabel({
			bottom:scale(10),
			left:scale(10),
			text:'Update:' + categories[i][2],
			color:'#555',
			font:{fontSize:scale(11), fontFamily:'Helvetica Neue'},
		}));
		row.add(Ti.UI.createLabel({
			bottom:scale(10),
			right:scale(10),
			text:categories[i][3]+' nieuwe',
			color:'#fff',
			font:{fontSize:scale(16), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		data.push(row);
	}
	tableView = Ti.UI.createTableView({
		data:data,
	    top:scale(45),
	    bottom:scale(45),
	    separatorColor:'#d6d6d6',
	    backgroundColor:'#d6d6d6',
		filterAttribute:'filter'
	});
	currentWindow.add(tableView);
	
	tableView.addEventListener('click',function(e){
		category_id = parseInt(data[e.index].category_id);
		Ti.App.fireEvent('changewindow',{i:9});
	});
}
if(typeof(json_new_results) != 'undefined'){
	createCategories(json_new_results);
}else{
	var loadInd = msg('Gegevens ophalen...',true);
	var json_new_results = false;
	var jsonRequest = Ti.Network.createHTTPClient(); 
	jsonRequest.open('GET', 'http://api4.aanbdng.info/s_newItems/json');
	jsonRequest.onerror = function(e) {
		loadInd.close();
		msg("Error: " + e.error);
	};
	jsonRequest.onload = function() {
		currentWindow = currentWindow;
		json_new_results = JSON.parse(this.responseText);
		createCategories(json_new_results);
		loadInd.close();
	};
	jsonRequest.send();
}