/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/
var factor = (Ti.Platform.displayCaps.dpi/160);

/**
 * Scale size, calculation is based on DPI setting
 * Return: int
 */
function scale(input){
	return parseInt(input*factor);
}

/**
 * Scale size, calculation is based on platformWidth setting and @2x-screensize
 * Return: int
 */
function scale2width(input){
	return parseInt(platformWidth/640*input);
}

/**
 * Scale size, calculation is based on platformHeight setting and @2x-screensize
 * Return: int
 */
function scale2height(input){
	return parseInt(platformHeight/920*input);
}

var current_backknop_functie = function(){ };
/**
 * Change the behaviour of the android backbutton to an(other) function
 */
function backknop(functie){
	if(current_backknop_functie != false){
		Ti.UI.currentWindow.removeEventListener('android:back',current_backknop_functie);
	}
	current_backknop_functie = functie;
	if(functie != false){
		Ti.UI.currentWindow.addEventListener('android:back',current_backknop_functie);
	}
}

/* Functie ter vervanging van Alert */
function msg(msg,donthide){
	Ti.API.info(msg);
	// window container
	var welcomeWindow = Titanium.UI.createWindow({
		height:scale(80),
		width:scale(200),
		touchEnabled:false
	});

	// black view
	var indView = Titanium.UI.createView({
		height:scale(80),
		width:scale(200),
		backgroundColor:'#4b9701',
		borderRadius:scale(10),
		opacity:0.9,
		touchEnabled:false
	});
	welcomeWindow.add(indView);

	// message
	var message = Titanium.UI.createLabel({
		text:msg,
		color:'#fff',
		textAlign:'center',
		font:{fontSize:scale(12),fontFamily:'Helvetica Neue'},
		height:'auto',
		width:scale(190)
	});
	welcomeWindow.add(message);
	welcomeWindow.open();
	if(typeof(donthide) == 'undefined'){
		var animationProperties = {delay: 1500, duration: 1000, opacity: 0.1};
		welcomeWindow.animate(animationProperties, function(){
			welcomeWindow.close();
		});
	}else{
		return welcomeWindow;
	}
}

/* Titel zetten */
function title(tekst,dontadd){
	titleHolder = Ti.UI.createView({
		top:0,
		left:0,
		right:0,
		height:scale(60),
		backgroundImage:'images/title_bg.png',
		zIndex:2
	});
	titleLabel = Ti.UI.createLabel({
		top:scale(7),
		left:scale(15),
		right:scale(15),
		text:tekst,
		textAlign:'left',
		color:'#fff',
		font:{fontSize:scale(20), fontFamily:'Helvetica Neue'}
	});
	titleHolder.add(titleLabel);
	if(typeof(dontadd) == 'undefined' || dontadd == false){
		currentWindow.add(titleHolder);
	}
	return titleHolder;
}

/* Database opbouwen */
function initDatabase(){
	var db = Ti.Database.open('slijterij_db');
	db.execute("CREATE TABLE IF NOT EXISTS lijst (id INTEGER PRIMARY KEY, afb CHAR(255), naam CHAR(255), description TEXT, voor INTEGER, van INTEGER);");
	db.execute("CREATE TABLE IF NOT EXISTS fav (id INTEGER PRIMARY KEY, afb CHAR(255), naam CHAR(255), description TEXT, voor INTEGER, van INTEGER);");
}
initDatabase();
function getDatabase(){ return Ti.Database.open('slijterij_db'); }
